Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network13.232.12.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
13.232.12.0
Broadcast address
13.232.15.255
First usable
13.232.12.1
Last usable
13.232.15.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Public public
Old class
A (default /8)
As numbers
Hex 0DE80C00 · Integer 233311232 to 233312255
Reverse DNS zones
12.232.13.in-addr.arpa
13.232.13.in-addr.arpa
14.232.13.in-addr.arpa
15.232.13.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001101.11101000.00001100.0000000013.232.12.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network00001101.11101000.00001100.0000000013.232.12.0
Broadcast00001101.11101000.00001111.1111111113.232.15.255
Split into smaller subnets/29

13.232.12.0/22 makes 128 subnets of /29.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
113.232.12.0/2913.232.12.1 to 13.232.12.613.232.12.76
213.232.12.8/2913.232.12.9 to 13.232.12.1413.232.12.156
313.232.12.16/2913.232.12.17 to 13.232.12.2213.232.12.236
413.232.12.24/2913.232.12.25 to 13.232.12.3013.232.12.316
513.232.12.32/2913.232.12.33 to 13.232.12.3813.232.12.396
613.232.12.40/2913.232.12.41 to 13.232.12.4613.232.12.476
713.232.12.48/2913.232.12.49 to 13.232.12.5413.232.12.556
813.232.12.56/2913.232.12.57 to 13.232.12.6213.232.12.636
913.232.12.64/2913.232.12.65 to 13.232.12.7013.232.12.716
1013.232.12.72/2913.232.12.73 to 13.232.12.7813.232.12.796
1113.232.12.80/2913.232.12.81 to 13.232.12.8613.232.12.876
1213.232.12.88/2913.232.12.89 to 13.232.12.9413.232.12.956
1313.232.12.96/2913.232.12.97 to 13.232.12.10213.232.12.1036
1413.232.12.104/2913.232.12.105 to 13.232.12.11013.232.12.1116
1513.232.12.112/2913.232.12.113 to 13.232.12.11813.232.12.1196
1613.232.12.120/2913.232.12.121 to 13.232.12.12613.232.12.1276
1713.232.12.128/2913.232.12.129 to 13.232.12.13413.232.12.1356
1813.232.12.136/2913.232.12.137 to 13.232.12.14213.232.12.1436
1913.232.12.144/2913.232.12.145 to 13.232.12.15013.232.12.1516
2013.232.12.152/2913.232.12.153 to 13.232.12.15813.232.12.1596
2113.232.12.160/2913.232.12.161 to 13.232.12.16613.232.12.1676
2213.232.12.168/2913.232.12.169 to 13.232.12.17413.232.12.1756
2313.232.12.176/2913.232.12.177 to 13.232.12.18213.232.12.1836
2413.232.12.184/2913.232.12.185 to 13.232.12.19013.232.12.1916
2513.232.12.192/2913.232.12.193 to 13.232.12.19813.232.12.1996
2613.232.12.200/2913.232.12.201 to 13.232.12.20613.232.12.2076
2713.232.12.208/2913.232.12.209 to 13.232.12.21413.232.12.2156
2813.232.12.216/2913.232.12.217 to 13.232.12.22213.232.12.2236
2913.232.12.224/2913.232.12.225 to 13.232.12.23013.232.12.2316
3013.232.12.232/2913.232.12.233 to 13.232.12.23813.232.12.2396
3113.232.12.240/2913.232.12.241 to 13.232.12.24613.232.12.2476
3213.232.12.248/2913.232.12.249 to 13.232.12.25413.232.12.2556
3313.232.13.0/2913.232.13.1 to 13.232.13.613.232.13.76
3413.232.13.8/2913.232.13.9 to 13.232.13.1413.232.13.156
3513.232.13.16/2913.232.13.17 to 13.232.13.2213.232.13.236
3613.232.13.24/2913.232.13.25 to 13.232.13.3013.232.13.316
3713.232.13.32/2913.232.13.33 to 13.232.13.3813.232.13.396
3813.232.13.40/2913.232.13.41 to 13.232.13.4613.232.13.476
3913.232.13.48/2913.232.13.49 to 13.232.13.5413.232.13.556
4013.232.13.56/2913.232.13.57 to 13.232.13.6213.232.13.636
4113.232.13.64/2913.232.13.65 to 13.232.13.7013.232.13.716
4213.232.13.72/2913.232.13.73 to 13.232.13.7813.232.13.796
4313.232.13.80/2913.232.13.81 to 13.232.13.8613.232.13.876
4413.232.13.88/2913.232.13.89 to 13.232.13.9413.232.13.956
4513.232.13.96/2913.232.13.97 to 13.232.13.10213.232.13.1036
4613.232.13.104/2913.232.13.105 to 13.232.13.11013.232.13.1116
4713.232.13.112/2913.232.13.113 to 13.232.13.11813.232.13.1196
4813.232.13.120/2913.232.13.121 to 13.232.13.12613.232.13.1276
4913.232.13.128/2913.232.13.129 to 13.232.13.13413.232.13.1356
5013.232.13.136/2913.232.13.137 to 13.232.13.14213.232.13.1436
5113.232.13.144/2913.232.13.145 to 13.232.13.15013.232.13.1516
5213.232.13.152/2913.232.13.153 to 13.232.13.15813.232.13.1596
5313.232.13.160/2913.232.13.161 to 13.232.13.16613.232.13.1676
5413.232.13.168/2913.232.13.169 to 13.232.13.17413.232.13.1756
5513.232.13.176/2913.232.13.177 to 13.232.13.18213.232.13.1836
5613.232.13.184/2913.232.13.185 to 13.232.13.19013.232.13.1916
5713.232.13.192/2913.232.13.193 to 13.232.13.19813.232.13.1996
5813.232.13.200/2913.232.13.201 to 13.232.13.20613.232.13.2076
5913.232.13.208/2913.232.13.209 to 13.232.13.21413.232.13.2156
6013.232.13.216/2913.232.13.217 to 13.232.13.22213.232.13.2236
6113.232.13.224/2913.232.13.225 to 13.232.13.23013.232.13.2316
6213.232.13.232/2913.232.13.233 to 13.232.13.23813.232.13.2396
6313.232.13.240/2913.232.13.241 to 13.232.13.24613.232.13.2476
6413.232.13.248/2913.232.13.249 to 13.232.13.25413.232.13.2556
6513.232.14.0/2913.232.14.1 to 13.232.14.613.232.14.76
6613.232.14.8/2913.232.14.9 to 13.232.14.1413.232.14.156
6713.232.14.16/2913.232.14.17 to 13.232.14.2213.232.14.236
6813.232.14.24/2913.232.14.25 to 13.232.14.3013.232.14.316
6913.232.14.32/2913.232.14.33 to 13.232.14.3813.232.14.396
7013.232.14.40/2913.232.14.41 to 13.232.14.4613.232.14.476
7113.232.14.48/2913.232.14.49 to 13.232.14.5413.232.14.556
7213.232.14.56/2913.232.14.57 to 13.232.14.6213.232.14.636
7313.232.14.64/2913.232.14.65 to 13.232.14.7013.232.14.716
7413.232.14.72/2913.232.14.73 to 13.232.14.7813.232.14.796
7513.232.14.80/2913.232.14.81 to 13.232.14.8613.232.14.876
7613.232.14.88/2913.232.14.89 to 13.232.14.9413.232.14.956
7713.232.14.96/2913.232.14.97 to 13.232.14.10213.232.14.1036
7813.232.14.104/2913.232.14.105 to 13.232.14.11013.232.14.1116
7913.232.14.112/2913.232.14.113 to 13.232.14.11813.232.14.1196
8013.232.14.120/2913.232.14.121 to 13.232.14.12613.232.14.1276
8113.232.14.128/2913.232.14.129 to 13.232.14.13413.232.14.1356
8213.232.14.136/2913.232.14.137 to 13.232.14.14213.232.14.1436
8313.232.14.144/2913.232.14.145 to 13.232.14.15013.232.14.1516
8413.232.14.152/2913.232.14.153 to 13.232.14.15813.232.14.1596
8513.232.14.160/2913.232.14.161 to 13.232.14.16613.232.14.1676
8613.232.14.168/2913.232.14.169 to 13.232.14.17413.232.14.1756
8713.232.14.176/2913.232.14.177 to 13.232.14.18213.232.14.1836
8813.232.14.184/2913.232.14.185 to 13.232.14.19013.232.14.1916
8913.232.14.192/2913.232.14.193 to 13.232.14.19813.232.14.1996
9013.232.14.200/2913.232.14.201 to 13.232.14.20613.232.14.2076
9113.232.14.208/2913.232.14.209 to 13.232.14.21413.232.14.2156
9213.232.14.216/2913.232.14.217 to 13.232.14.22213.232.14.2236
9313.232.14.224/2913.232.14.225 to 13.232.14.23013.232.14.2316
9413.232.14.232/2913.232.14.233 to 13.232.14.23813.232.14.2396
9513.232.14.240/2913.232.14.241 to 13.232.14.24613.232.14.2476
9613.232.14.248/2913.232.14.249 to 13.232.14.25413.232.14.2556
9713.232.15.0/2913.232.15.1 to 13.232.15.613.232.15.76
9813.232.15.8/2913.232.15.9 to 13.232.15.1413.232.15.156
9913.232.15.16/2913.232.15.17 to 13.232.15.2213.232.15.236
10013.232.15.24/2913.232.15.25 to 13.232.15.3013.232.15.316
10113.232.15.32/2913.232.15.33 to 13.232.15.3813.232.15.396
10213.232.15.40/2913.232.15.41 to 13.232.15.4613.232.15.476
10313.232.15.48/2913.232.15.49 to 13.232.15.5413.232.15.556
10413.232.15.56/2913.232.15.57 to 13.232.15.6213.232.15.636
10513.232.15.64/2913.232.15.65 to 13.232.15.7013.232.15.716
10613.232.15.72/2913.232.15.73 to 13.232.15.7813.232.15.796
10713.232.15.80/2913.232.15.81 to 13.232.15.8613.232.15.876
10813.232.15.88/2913.232.15.89 to 13.232.15.9413.232.15.956
10913.232.15.96/2913.232.15.97 to 13.232.15.10213.232.15.1036
11013.232.15.104/2913.232.15.105 to 13.232.15.11013.232.15.1116
11113.232.15.112/2913.232.15.113 to 13.232.15.11813.232.15.1196
11213.232.15.120/2913.232.15.121 to 13.232.15.12613.232.15.1276
11313.232.15.128/2913.232.15.129 to 13.232.15.13413.232.15.1356
11413.232.15.136/2913.232.15.137 to 13.232.15.14213.232.15.1436
11513.232.15.144/2913.232.15.145 to 13.232.15.15013.232.15.1516
11613.232.15.152/2913.232.15.153 to 13.232.15.15813.232.15.1596
11713.232.15.160/2913.232.15.161 to 13.232.15.16613.232.15.1676
11813.232.15.168/2913.232.15.169 to 13.232.15.17413.232.15.1756
11913.232.15.176/2913.232.15.177 to 13.232.15.18213.232.15.1836
12013.232.15.184/2913.232.15.185 to 13.232.15.19013.232.15.1916
12113.232.15.192/2913.232.15.193 to 13.232.15.19813.232.15.1996
12213.232.15.200/2913.232.15.201 to 13.232.15.20613.232.15.2076
12313.232.15.208/2913.232.15.209 to 13.232.15.21413.232.15.2156
12413.232.15.216/2913.232.15.217 to 13.232.15.22213.232.15.2236
12513.232.15.224/2913.232.15.225 to 13.232.15.23013.232.15.2316
12613.232.15.232/2913.232.15.233 to 13.232.15.23813.232.15.2396
12713.232.15.240/2913.232.15.241 to 13.232.15.24613.232.15.2476
12813.232.15.248/2913.232.15.249 to 13.232.15.25413.232.15.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses